<template lang="pug">
.cookie-bar-wrap
  .cookie-bar(v-if="showCookieBar && settings && settings.cookie_bar_text")
    .container
      .html-content
        p
          span
            span(v-html="settings.cookie_bar_text")
            template(v-if="settings.privacy_policy")
              | {{ ' ' }}
              nuxt-link.link(
                :to="{ name: 'page-slug', params: { slug: settings.privacy_policy.slug, locale } } | url"
              ) {{ $t('moreDetails') }}
          button.btn.cookie-bar__btn(@click="closeCookieBar") {{ $t('cookie.accept') }}

    .cookie-bar__close(@click="closeCookieBar")
</template>

<script>
import { mapGetters, mapState } from 'vuex'
import { url } from '../../../filters'
import { getLocalStorageItem, isLocalStorageActive, setLocalStorageItem } from '../../../utils/localStorage'

export default {
  name: 'CookieBar',

  computed: {
    ...mapGetters({ settings: 'vars/settings' }),
    ...mapState({ locale: state => state.locale })
  },

  data () {
    return {
      showCookieBar: false
    }
  },

  filters: { url },

  methods: {
    closeCookieBar () {
      setLocalStorageItem('cb', '1')
      this.showCookieBar = false
    }
  },

  mounted () {
    if (isLocalStorageActive() && !getLocalStorageItem('cb')) {
      this.showCookieBar = true
    }
  }
}
</script>
